Skip to main content
GET
/
supported-metrics
Python
from artemis import Artemis

client = Artemis()
response = client.asset.list_supported_metrics(symbol="btc")
print(response.metrics)
{
  "metrics": [
    {
      "24H_VOLUME": {
        "label": "Daily Token Trading Volume",
        "description": "Token Trading Volume in the last 24 hours",
        "tags": [
          {
            "value": "market_data",
            "label": "Market Data"
          }
        ],
        "aggregation_type": "SUM",
        "unit": "CURRENCY",
        "internal_data_source": "coingecko",
        "source": "Source: Coingecko",
        "base_metric": null,
        "accepts_date": false,
        "cuts": [
          {
            "granularity": "DAY",
            "dimension_type": "TOTAL"
          }
        ],
        "thumbnail_url": null,
        "source_link": null,
        "methodology": null,
        "currency_type": null,
        "earliest_fiscal_period": null,
        "latest_fiscal_period": null,
        "priority": null
      }
    },
    {
      "PRICE": {
        "label": "Price",
        "description": "Token closing price",
        "tags": [
          {
            "value": "market_data",
            "label": "Market Data"
          }
        ],
        "aggregation_type": "LAST",
        "unit": "CURRENCY",
        "internal_data_source": "coingecko",
        "source": "Source: Coingecko",
        "base_metric": null,
        "accepts_date": true,
        "cuts": [
          {
            "granularity": "DAY",
            "dimension_type": "TOTAL"
          }
        ],
        "thumbnail_url": null,
        "source_link": null,
        "methodology": null,
        "currency_type": null,
        "earliest_fiscal_period": null,
        "latest_fiscal_period": null,
        "priority": null
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://artemis.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

symbol
string
required

The symbol to get supported metrics for (e.g., "BTC")

Response

200 - application/json

Available metrics for the given symbol

metrics
object[]
required